Choose your top Archicad wishes!

Read more
Teamwork & BIMcloud
About Teamwork, BIMcloud, BIMcloud Basic, BIMcloud Software as a Service, network settings, etc.

In-Place Windows server upgrade 2016 to 2022

DEA-PR
Participant

Hi All,

 

Has anyone done this? In-Place upgrade from Windows Server 2016 to 2022 Server which is running BIMCloud?

Did it work ok? Need to upgrade to be able to support AC27 and above, and don't really want to wipe and reinstall if possible.

 

Thanks

 

Paul

3 REPLIES 3
GAG
Advocate

@DEA-PR I strongly recommend that you upgrade your BIMcloud Server and Manager before updating the Windows Server itself, even if you have installed BIMcloud Server that supports some old Archicad versions.

 

If you have some old BIMcloud installations, you should upgrade both components (Manager, Server) step by step using intermediate older BIMcloud versions (newer BIMcloud versions cannot upgrade old versions). Unfortunately, GS doesn't provide links to all previous BIMcloud versions, although new BIMcloud versions cannot upgrade older versions.

 

List of some BIMcloud versions and builds I used to upgrade from BIMcloud 2019.2 to BIMcloud 2024.1:

  • BIMcloud 2024.1
  • BIMcloud 2023.3
  • BIMcloud 2021.2
  • BIMcloud 2020.2
  • BIMcloud 2019.4
  • BIMcloud 2019.2

Updating Windows Server 2019 to 2022 was smooth enough. Updated BIMcloud 2019.2 → BIMcloud 2024.1 (using intermediate versions listed above) serving Archicad 22.

 

Do not forget to backup all your data (projects, attachments, users etc) before any significant action!

 

George

Useful to know thank you! And glad to hear your server upgrade went smoothly.

We are currently on 2023.1 and I think 2023.3 wasn't supported on Server 2016 but I will check again first.

So once upgraded to Windows Server 2022 are you recommending installing in increments first, so 2023.3 first then to 2024.1?

 

Appreciate the reply, thanks!


@DEA-PR wrote:

So once upgraded to Windows Server 2022 are you recommending installing in increments first, so 2023.3 first then to 2024.1?

 


 

If 2024.1 doesn't refuse to update the previous version, install it directly without 2023.3.

 

George